# XmlFileContentMerger

open class XmlFileContentMerger : FileContentMerger

Models the generation/parsing/merging capabilities. Adds XML-related hooks.

For examples see docs for org.gradle.plugins.ide.eclipse.model.EclipseProject or org.gradle.plugins.ide.idea.model.IdeaProject and others.

#### Inheritors

IdeaModuleIml

## Constructors

XmlFileContentMerger
Link copied to clipboard
constructor(xmlTransformer: XmlTransformer)

## Properties

beforeMerged
Link copied to clipboard
open var beforeMerged: MutableActionSet
whenMerged
Link copied to clipboard
open var whenMerged: MutableActionSet
xmlTransformer
Link copied to clipboard
open var xmlTransformer: XmlTransformer

## Functions

beforeMerged
Link copied to clipboard
open fun beforeMerged(action: Action<out Any>)
whenMerged
Link copied to clipboard
open fun whenMerged(action: Action<out Any>)
withXml
Link copied to clipboard
open fun withXml(@DelegatesTo(value = XmlProvider::class) closure: Closure)
Adds a closure to be called when the file has been created.
open fun withXml(action: Action<in XmlProvider>)
Adds an action to be called when the file has been created.